<template>
    <div id="signin">

        <h1> Login </h1>

        <form @submit.prevent="signin(email, password)">
            <div>
                <div> Email </div>
                <input v-model="email" type="email" required/>
            </div>
            <div>
                <br>
                <div> Password </div>
                <input v-model="password"  type='password' required/>
            </div>
            <div>
            <br>
            <input id="submitBtn" type="submit" value="CONNEXION"/>

            </div>
        </form>

    </div>
</template>

<script>

    export default {
        name: 'createAccount',
        data(){
            return {
                email : "youuuupi@youuuupi.youuuupi",
                password : "youuuupi",
            }
        },
        mounted () {
            if(this.memberIsConnected()){
                this.$router.push("/");
            }
        },
        methods : {
        }
    }
</script>




<style lang="scss">

  $lightpurple : rgb(165, 160, 187);

    #signin{
        color: $lightpurple ;    
        margin : 50px auto;
        padding : 50px;
        background-color: #29272E;
        height : 300px;
        width : 40%;
        border-radius: 20px;
        text-align: center;
        box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    }

    input{
        margin : 5px 0 10px 0;
        width: 50%;
        height: 2em;
        padding: 5px 10px;
        background-color: #33374A;
        border-radius: 5px;
        color: $lightpurple ;
    }

    #submitBtn{
        padding: 10px;
        height: 3em;
        border : none;
        box-shadow: 0 1px 2px rgba(0,0,0,0.16), 0 1px 2px rgba(0,0,0,0.23);

    }


</style>




